YoYOptionletStripper Class Referenceabstract

Interface for inflation cap stripping, i.e. from price surfaces. More...

`#include <ql/experimental/inflation/yoyoptionletstripper.hpp>`

Inheritance diagram for YoYOptionletStripper:
[legend]

## Public Member Functions

virtual void | initialize (const ext::shared_ptr< YoYCapFloorTermPriceSurface > &, const ext::shared_ptr< YoYInflationCapFloorEngine > &, Real slope) const =0
| YoYOptionletStripper interface.
virtual Rate | minStrike () const =0
virtual Rate | maxStrike () const =0
virtual std::vector< Rate > | strikes () const =0
virtual std::pair< std::vector< Rate >, std::vector< Volatility > > | slice (const Date &d) const =0

## Protected Attributes

ext::shared_ptr< YoYCapFloorTermPriceSurface > | YoYCapFloorTermPriceSurface_
ext::shared_ptr< YoYInflationCapFloorEngine > | p_
Period | lag_
Frequency | frequency_
bool | indexIsInterpolated_

## Detailed Description

Interface for inflation cap stripping, i.e. from price surfaces.

Strippers return K slices of the volatility surface at a given T. In initialize they actually do the stripping along each K.